Bug 511007 - json: bogus/misleading package summary / description
json: bogus/misleading package summary / description
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: json (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 04:33 EDT by Tomas Hoger
Modified: 2009-07-31 09:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 09:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-07-13 04:33:51 EDT
Description of problem:
Summary/Description of the json package seems to describe JSON (as JavaScript Object Notation, i.e. data interchange format) is, but not what json (as Fedora package) is.  The package seems to contain json reader / writer implementation in Java, and should probably say so in the summary / description, as libraries for other languages seem to try to do (python-json, perl-JSON, json-glib, ...).

I'm also not too sure about using json as a name of the package with one particular implementation, but as it's upstream (as json.org) name, it's probably not worth changing it now.

Version-Release number of selected component (if applicable):
json-2-1
Comment 1 Andrew Overholt 2009-07-13 09:04:43 EDT
What do you propose as changes?
Comment 2 Tomas Hoger 2009-07-13 09:31:46 EDT
I have no specific wording in mind, rather only expecting to see the fact that this is java json implementation mentioned.

Possibly:
- summary: java json library / json.org sample JSON implementation for java
- description: json is ... (as is now, possibly excluding all the other
  languages that are mentioned)\n
  this package contains java json classes, that can be serialized to / 
  deserialized from json format.

Or whatever this really does, if it does something else ;).  I know too little about this package to propose good description.  Just expecting enough info so one can tell what this is from 'yum info', without having to run 'repoquery -ql' to see some jars and assume this is library of java classes, that's all.
Comment 3 Andrew Overholt 2009-07-30 17:19:12 EDT
Changes committed and build submitted:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1567691

Please close if you find the changes acceptable:

-Summary:    JavaScript Object Notation
+Summary:    JavaScript Object Notation support in Java
 URL:        http://www.json.org/java/index.html
-Version:    2
+Version:    3
 Release:    2%{?dist}
 License:    ASL 2.0
 Group:      Development/Libraries
@@ -43,12 +43,13 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 %description
-JSON (JavaScript Object Notation) is a lightweight data-interchange format.
-It is based on a subset of the JavaScript Programming Language, Standard
-ECMA-262 3rd Edition - December 1999.  JSON is a text format that is 
-completely language independent but uses conventions that are familiar to 
-programmers of the C-family of languages including C, C++, C#, Java, 
-JavaScript, Perl, Python, and many others.
+Java support for the JSON (JavaScript Object Notation) lightweight
+data-interchange format.  It is based on a subset of the JavaScript
+Programming Language, Standard ECMA-262 3rd Edition - December 1999.
+JSON is a text format that is completely language independent but uses
+conventions that are familiar to programmers of the C-family of
+languages including C, C++, C#, Java, JavaScript, Perl, Python, and many
+others.
Comment 4 Tomas Hoger 2009-07-31 02:06:44 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.